Skip to content
Start here

Get Zero Trust Connectivity Settings

zero_trust.connectivity_settings.get(ConnectivitySettingGetParams**kwargs) -> ConnectivitySettingGetResponse
GET/accounts/{account_id}/zerotrust/connectivity_settings

Gets the Zero Trust Connectivity Settings for the given account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReportZero Trust ReadZero Trust Write
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
ReturnsExpand Collapse
class ConnectivitySettingGetResponse:
icmp_proxy_enabled: Optional[bool]

A flag to enable the ICMP proxy for the account network.

offramp_warp_enabled: Optional[bool]

A flag to enable WARP to WARP traffic.

Get Zero Trust Connectivity Settings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
connectivity_setting = client.zero_trust.connectivity_settings.get(
    account_id="699d98642c564d2e855e9661899b7252",
)
print(connectivity_setting.icmp_proxy_enabled)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "icmp_proxy_enabled": true,
    "offramp_warp_enabled": true
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "icmp_proxy_enabled": true,
    "offramp_warp_enabled": true
  },
  "success": true
}